Subject: Re: bug#23279: display mucks up

From: Stefan Kangas <[email-masked]>
Date: Fri, 08 Nov 2019 05:46:51 +0100

Rob Dunne <[email-masked]> writes:

> This bug report will be sent to the Bug-GNU-Emacs mailing list
> and the GNU bug tracker at debbugs.gnu.org.  Please check that
> the From: line contains a valid email address.  After a delay of up
> to one day, you should receive an acknowledgment at that address.
>
> Please write in English if possible, as the Emacs maintainers
> usually do not have translators for other languages.
>
> Please describe exactly what actions triggered the bug, and
> the precise symptoms of the bug.  If you can, give a recipe
> starting from `emacs -Q':
>
> emacs -Q
> load a file
> --------------------------------------------------------------------------------
> \documentclass[11pt]{article}
>
> #type C-k on this line, twice
>
> \begin{document}
> \end{document}
> stuff
> --------------------------------------------------------------------------------
>
> type C-k on the line indicated, twice. The file now looks like
> --------------------------------------------------------------------------------
> \documentclass[11pt]{article}
>
>
> stuff
> stuff
> stuff
> --------------------------------------------------------------------------------
> Dam. It is now happening in this buffer as well. Highlighting the
> display restores the text
[...]
> In GNU Emacs 24.3.1 (x86_64-pc-linux-gnu, GTK+ Version 3.10.7)
>  of 2014-03-08 on lamiak, modified by Debian
> Windowing system distributor `The X.Org Foundation', version 11.0.11501000
> System Description:    Ubuntu 14.04.4 LTS

I tried reproducing this on Emacs 27, but was unable to.  Are you
still seeing this using a more recent version of Emacs, for example
the latest release 26.3?

If I don't hear back from you within a couple of weeks, I'll just
close this bug as unreproducible.

Best regards,
Stefan Kangas